package com.lz.modules.flow.dao;
/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.FlowRelation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowRelationMapper extends BaseMapper<FlowRelation> {


	FlowRelation selectFlowRelationById(@Param("id")Long id);


	Long insertFlowRelation(FlowRelation flowRelation);


	int updateFlowRelationById(FlowRelation flowRelation);


	int updateCoverFlowRelationById(FlowRelation flowRelation);


	int deleteFlowRelationById(@Param("id")Long id);


    List<FlowRelation> selectFlowRelationAll();
}